classification
Title: Rework/replace use of DISTUTILS_USE_SDK in packaging
Type: Stage: committed/rejected
Components: Distutils2 Versions: Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: tarek Nosy List: alexis, eric.araujo, loewis, tarek
Priority: normal Keywords:

Created on 2011-06-03 17:08 by eric.araujo, last changed 2014-03-13 00:36 by eric.araujo. This issue is now closed.

Messages (3)
msg137559 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-03 17:08
packaging still uses the DISTUTILS_USE_SDK environment variable to tweak compilation on Windows.  Do we want to change the name?  Pro: separates distutils and packaging, con: requires users to set one more var during the transition period.

I don’t know if MSSdk is distutils-specific (on which case the same question about renaming or not applies) or if it is a Windows envvar used by many tools (in which case packaging can continue to use it too).
msg137636 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2011-06-04 12:26
I don't think the name should be changed. If anything should be done, we should reconsider whether this flag is actually needed, or whether some other approach to selecting a compiler can be taken.
msg137642 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-04 14:46
Agreed.  Thanks for the insight.
History
Date User Action Args
2014-03-13 00:36:39eric.araujosetstatus: open -> closed
resolution: out of date
stage: committed/rejected
2011-06-04 14:46:35eric.araujosetmessages: + msg137642
title: Use PYPACKAGING_USE_SDK envvar instead of DISTUTILS_USE_SDK -> Rework/replace use of DISTUTILS_USE_SDK in packaging
2011-06-04 12:26:07loewissetmessages: + msg137636
2011-06-03 17:08:14eric.araujocreate